clear all; close all; clc;

addpath('He')
load neededParameterForBenchmarking.mat
load speciesDensities.mat
speciesNum_pure = speciesNum;
specisName_pure = species{1}';
n_pure = n_density(end,1:end);

addpath('He_impurity')
load neededParameterForBenchmarking.mat
speciesNum_impurity = speciesNum;
specisName_impurity = species{1}';
%%%%%%%%%%%%%%%%%%%%%%%%%%%
impurityPure_index = 1:6;
%%%%%%%%%%%%%%%%%%%%%%%%%%%

load calculationOfMineForBenchmarking_impurity.mat
impurity = mine_reset_air;

n_impurityPure = zeros(length(mine_n_list),speciesNum_pure+1);
for i=1:length(mine_n_list)
    n_impurityPure(i,:) = [mine_n_list{i}(end,impurityPure_index), mine_n_list{i}(end,end)];
end

impurity_ppm = [0 impurity]*1e6;
n = [n_pure; n_impurityPure];

norm_HeStar = n(:,2)./n(1,2).*100;
norm_He2Star = n(:,4)./n(1,4).*100;
norm_e = n(:,6)./n(1,6).*100;
norm_Te = (n(:,7)./n(:,6)./1.5)./(n(1,7)/n(1,6)/1.5).*100

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
norm = (n./n(1,:).*100)';
overAll = [[specisName_pure'; "Energy"], num2cell(norm)]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(9)

norm = [norm_HeStar norm_He2Star norm_e norm_Te]';
norm = norm(:,2:end)-norm(:,1); 

name = [{'He(2^3S)'} {'He_2^*'} specisName_pure(6) {'T_e'}];
x_categorical = categorical(name);
x_categorical = reordercats(x_categorical,{'He(2^3S)' 'He_2^*' 'e' 'T_e'});

barWidth = 1;
hb = bar(x_categorical,norm,'BarWidth', barWidth);

xtickangle(90)

ylim([-105 80])
yticks([-100:25:75])
ylabel('Relative variation (%)')
% set(gca, 'YScale', 'log')
set(gca,'FontSize',20);

hb(1).FaceColor = [0 0 0;];
hb(2).FaceColor = [0.45 0.45 0.45;];
hb(3).FaceColor = [0.95 0.95 0.95;];
% hb(1).FaceColor = [0.1 0 0;];
% hb(2).FaceColor = [0 0 0.45;];
% hb(3).FaceColor = [0 0.95 0;];
% hb(4).FaceColor = [0.5 0.5 0.5;];
% lgd = legend('0 ppm', '1 ppm', '10 ppm', '100 ppm','Location', 'northwest')
lgd = legend('1 ppm', '10 ppm', '100 ppm','Location', 'southeast');
lgd.FontSize = 20;
text(0.05,0.95,'(a)','Units','normalized','Color','k','FontSize',20)

set(gcf,'position',[100,100,600,500])

% saveas(figure(9),'/home/he/Pictures/paper/13a_He_impurity.jpg');
% saveas(figure(9),'/home/he/Pictures/paper/13a_He_impurity.png');
% saveas(figure(9),'/home/he/Pictures/paper/13a_He_impurity.eps', 'epsc');
% saveas(figure(9),'/home/he/Pictures/paper/13a_He_impurity.pdf');
